# This file created by conda-build 3.23.3
# meta.yaml template originally from:
# C:\Users\circleci\project\packaging\torchvision, last modified Mon Apr 24 18:33:22 2023
# ------------------------------------------------

package:
  name: torchvision
  version: 0.15.2
source:
  path: C:/Users/circleci/project
build:
  script: python setup.py install --single-version-externally-managed --record=record.txt
  script_env:
    - BUILD_VERSION
    - CUDA_HOME
    - FORCE_CUDA
    - MACOSX_DEPLOYMENT_TARGET
    - TORCH_CUDA_ARCH_LIST
  string: py39_cu117
requirements:
  build:
    - jpeg 9e h2bbff1b_1
    - libpng 1.6.39 h8cc25b3_0
    - vc 14.2 h21ff451_1
    - vs2015_runtime 14.27.29016 h5e58377_2
    - vs2019_win-64 15.4.27004.2010 h4f2c42c_0
    - zlib 1.2.13 h8cc25b3_0
  host:
    - blas 1.0 mkl
    - ca-certificates 2023.01.10 haa95532_0
    - cuda-cccl 12.1.109 0
    - cuda-cudart 11.7.99 0
    - cuda-cudart-dev 11.7.99 0
    - cuda-cupti 11.7.101 0
    - cuda-libraries 11.7.1 0
    - cuda-libraries-dev 11.7.1 0
    - cuda-nvrtc 11.7.99 0
    - cuda-nvrtc-dev 11.7.99 0
    - cuda-nvtx 11.7.91 0
    - cuda-runtime 11.7.1 0
    - filelock 3.9.0 py39haa95532_0
    - intel-openmp 2023.1.0 h59b6b97_46319
    - jinja2 3.1.2 py39haa95532_0
    - libcublas 11.10.3.66 0
    - libcublas-dev 11.10.3.66 0
    - libcufft 10.7.2.124 0
    - libcufft-dev 10.7.2.124 0
    - libcurand 10.3.2.106 0
    - libcurand-dev 10.3.2.106 0
    - libcusolver 11.4.0.1 0
    - libcusolver-dev 11.4.0.1 0
    - libcusparse 11.7.4.91 0
    - libcusparse-dev 11.7.4.91 0
    - libnpp 11.7.4.75 0
    - libnpp-dev 11.7.4.75 0
    - libnvjpeg 11.8.0.2 0
    - libnvjpeg-dev 11.8.0.2 0
    - libuv 1.44.2 h2bbff1b_0
    - markupsafe 2.1.1 py39h2bbff1b_0
    - mkl 2023.1.0 h8bd8f75_46356
    - mpmath 1.2.1 py39haa95532_0
    - networkx 2.8.4 py39haa95532_1
    - openssl 1.1.1t h2bbff1b_0
    - pip 23.0.1 py39haa95532_0
    - python 3.9.16 h6244533_2
    - pytorch 2.0.1 py3.9_cuda11.7_cudnn8_0
    - pytorch-cuda 11.7 h16d0643_3
    - pytorch-mutex 1.0 cuda
    - setuptools 66.0.0 py39haa95532_0
    - sqlite 3.41.2 h2bbff1b_0
    - sympy 1.11.1 py39haa95532_0
    - tbb 2021.8.0 h59b6b97_0
    - typing_extensions 4.5.0 py39haa95532_0
    - tzdata 2023c h04d1e81_0
    - vc 14.2 h21ff451_1
    - vs2015_runtime 14.27.29016 h5e58377_2
    - wheel 0.38.4 py39haa95532_0
  run:
    - defaults::numpy >=1.11
    - jpeg
    - libpng
    - pillow >=5.3.0, !=8.3.*
    - python >=3.9,<3.10.0a0
    - pytorch-cuda=11.7
    - pytorch-mutex 1.0 cuda
    - pytorch==2.0.1
    - requests
  run_constrained:
    - cpuonly <0
test:
  imports:
    - torchvision
    - torchvision.datasets
    - torchvision.transforms
  requires:
    - ca-certificates
    - jpeg
    - pytest
    - scipy
  source_files:
    - test
about:
  home: https://github.com/pytorch/vision
  license: BSD
  license_file: LICENSE
  summary: image and video datasets and models for torch deep learning
extra:
  copy_test_source_files: true
  final: true
